org.jbpm.ruleflow.core.factory

## Class FaultNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.FaultNodeBuilder<T>,T>
  - - org.jbpm.ruleflow.core.factory.FaultNodeFactory<T>

- All Implemented Interfaces:
    org.kie.api.fluent.FaultNodeBuilder<T>, org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.FaultNodeBuilder<T>,T>

      public class FaultNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>
      extends NodeFactory<org.kie.api.fluent.FaultNodeBuilder<T>,T>
      implements org.kie.api.fluent.FaultNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultNodeFactory(T nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FaultNodeFactory<T>` | `setFaultName(String faultName)`
    `FaultNodeFactory<T>` | `setFaultVariable(String faultVariable)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, name, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Constructor Detail

    - #### FaultNodeFactory

          public FaultNodeFactory(T nodeContainerFactory,
                                  NodeContainer nodeContainer,
                                  long id)

  - ### Method Detail

    - #### setFaultVariable

          public FaultNodeFactory<T> setFaultVariable(String faultVariable)

      Specified by:
        `setFaultVariable` in interface `org.kie.api.fluent.FaultNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### setFaultName

          public FaultNodeFactory<T> setFaultName(String faultName)

      Specified by:
        `setFaultName` in interface `org.kie.api.fluent.FaultNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.